This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 504377 - Special characters cause internal system error
Special characters cause internal system error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-05 16:52 EDT by Christoph Wickert
Modified: 2009-08-21 21:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.4.9-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-07 05:05:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-06-05 16:52:51 EDT
Description of problem:
An internal system error appears when searching for a term with special characters such as German umlauts (ä, ö, ü, ...)

Version-Release number of selected component (if applicable):
gnome-packagekit-0.3.14-1.fc10.i386 (as well as later builds)

How reproducible:
always

Steps to Reproduce:
1. Enter a search term with at least one special character in the search fild
2. Press "Find"
  
Actual results:
Error Type: <type 'exceptions.TypeError'>
Error Value: 'in <string>' requires string as left operand
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2316, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2313, in main
    backend.dispatcher(sys.argv[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 600, in dispatcher
    self.dispatch_command(args[0], args[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 567, in dispatch_command
    self.search_name(options, searchterms)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 332, in search_name
    self._do_search(searchlist, filters, key)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 293, in _do_search
    self._do_meta_package_search(fltlist, key)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 270, in _do_meta_package_search
    if key in grpid:


Expected results:
Just works (TM)
Comment 1 Richard Hughes 2009-06-06 06:17:01 EDT
Excellent bug, thanks for reporting. I've fixed this upstream:

commit e7d7308b28d70aeb1af43cc9a7403c208eaa1778
Author: Richard Hughes <richard@hughsie.com>
Date:   Sat Jun 6 11:14:23 2009 +0100

    Convert non-ASCII text to unicode for spawned backends. Fixes rh#504377

Searching for mü now finds the Münster Curry Compiler without an error.

Do you want me to push this for F11, or can it wait for 0.4.9 (three weeks time)?
Comment 2 Christoph Wickert 2009-06-06 14:40:30 EDT
(In reply to comment #1)
> Excellent bug, thanks for reporting.

I'm flattered. Thanks for the quick fix.

> Searching for mü now finds the Münster Curry Compiler without an error.

As a citizen of the town of Münster I appreciate this very much. ;)

> Do you want me to push this for F11, or can it wait for 0.4.9 (three weeks
> time)?  

0.4.9 is fine for me.
Comment 3 Fedora Update System 2009-08-03 10:32:52 EDT
PackageKit-0.4.9-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/PackageKit-0.4.9-1.fc11
Comment 4 Fedora Update System 2009-08-21 21:00:48 EDT
PackageKit-0.4.9-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.